Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.fst
Class FeatureTransducer.State

    java.lang.Object
      cc.mallet.fst.Transducer.State
          cc.mallet.fst.FeatureTransducer.State

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  FeatureTransducer

    public class FeatureTransducer.State

extends Transducer.State

See Also:
  Serialized Form

Constructor Summary
`protected` | `FeatureTransducer.State(java.lang.String name, int index, double initialWeight, double finalWeight, int[] inputs, int[] outputs, double[] weights, java.lang.String[] destinationNames, FeatureTransducer transducer)`

Method Summary
`double` | `getFinalWeight()`
`int` | `getIndex()`
`double` | `getInitialWeight()`
`java.lang.String` | `getName()`
`Transducer` | `getTransducer()`
`Multinomial.Estimator` | `getTransitionEstimator()`
`void` | `incrementFinalCount(double count)`
`void` | `incrementInitialCount(double count)`
`void` | `setFinalWeight(double v)`
`void` | `setInitialWeight(double v)`
`Transducer.TransitionIterator` | `transitionIterator()`
`Transducer.TransitionIterator` | `transitionIterator(int input)`
`Transducer.TransitionIterator` | `transitionIterator(java.lang.Object o)`
`Transducer.TransitionIterator` | `transitionIterator(Sequence inputSequence, int inputPosition)`
`Transducer.TransitionIterator` | `transitionIterator(Sequence input, int inputPosition, Sequence output, int outputPosition)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FeatureTransducer.State

    protected FeatureTransducer.State(java.lang.String name,
                                      int index,
                                      double initialWeight,
                                      double finalWeight,
                                      int[] inputs,
                                      int[] outputs,
                                      double[] weights,
                                      java.lang.String[] destinationNames,
                                      FeatureTransducer transducer)

Method Detail

### getTransducer

    public Transducer getTransducer()

  Specified by:
    `getTransducer` in class `Transducer.State`

### getInitialWeight

    public double getInitialWeight()

  Specified by:
    `getInitialWeight` in class `Transducer.State`

### getFinalWeight

    public double getFinalWeight()

  Specified by:
    `getFinalWeight` in class `Transducer.State`

### setInitialWeight

    public void setInitialWeight(double v)

  Specified by:
    `setInitialWeight` in class `Transducer.State`

### setFinalWeight

    public void setFinalWeight(double v)

  Specified by:
    `setFinalWeight` in class `Transducer.State`

### getTransitionEstimator

    public Multinomial.Estimator getTransitionEstimator()

### getIndex

    public int getIndex()

  Specified by:
    `getIndex` in class `Transducer.State`

### transitionIterator

    public Transducer.TransitionIterator transitionIterator(Sequence input,
                                                            int inputPosition,
                                                            Sequence output,
                                                            int outputPosition)

  Specified by:
    `transitionIterator` in class `Transducer.State`

### transitionIterator

    public Transducer.TransitionIterator transitionIterator(Sequence inputSequence,
                                                            int inputPosition)

  Overrides:
    `transitionIterator` in class `Transducer.State`

### transitionIterator

    public Transducer.TransitionIterator transitionIterator(java.lang.Object o)

### transitionIterator

    public Transducer.TransitionIterator transitionIterator(int input)

### transitionIterator

    public Transducer.TransitionIterator transitionIterator()

  Overrides:
    `transitionIterator` in class `Transducer.State`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in class `Transducer.State`

### incrementInitialCount

    public void incrementInitialCount(double count)

### incrementFinalCount

    public void incrementFinalCount(double count)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD